Bug 1361115 - [RFE] Add fencing policies for gluster hosts
Summary: [RFE] Add fencing policies for gluster hosts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.6.7
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1388824 1415983
Blocks: Gluster-HC-2 1316692 1422341
TreeView+ depends on / blocked
 
Reported: 2016-07-28 11:16 UTC by Sahina Bose
Modified: 2017-03-08 02:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update adds gluster related fencing policies for hyper-converged clusters. Previous fencing policies ignored Gluster processes. But in Hyper-converged mode, fencing policies are required to ensure that a host is not fenced if there is a brick process running, or to ensure no loss of quorum when shutting down the host with an active brick. The following fencing policies have been added to Hyper-converged clusters: - SkipFencingIfGlusterBricksUp: Fencing will be skipped if bricks are running and can be reached from other peers. - SkipFencingIfGlusterQuorumNotMet: Fencing will be skipped if bricks are running and shutting down the host will cause loss of quorum
Clone Of:
Environment:
Last Closed: 2017-02-15 14:55:05 UTC
oVirt Team: Gluster
sabose: ovirt-4.1?
sabose: planning_ack?
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 59302 None None None 2016-07-28 11:35:27 UTC
oVirt gerrit 59303 None None None 2016-07-28 11:35:53 UTC
oVirt gerrit 59600 master MERGED gluster:enforce gluster fencing policies 2016-08-01 06:27:02 UTC
oVirt gerrit 59613 None None None 2016-07-28 11:36:17 UTC

Description Sahina Bose 2016-07-28 11:16:11 UTC
Description of problem:

In HC mode, we need fencing policies that ensure that a host is not fenced if
1. there's a brick process running and the brick is a source for healing (in replica set)
2. shutting down the host with active brick will cause loss of quorum


Version-Release number of selected component (if applicable):
NA

How reproducible:
NA

Steps to Reproduce:
NA

Additional info:

Comment 1 Ramesh N 2016-10-13 03:50:39 UTC
Gluster volume heal info command takes long time (more than 3 minutes when there are more unhealed entries) to complete. We will not be able to meet the HA requirements if we run 'gluster volume heal info' command in the host fencing flow. So we decided to skip the 'Self-Heal' related fencing policies for the time being until gluster comes with a better way to identify the heal entries. 


Following fencing policies are added to Hyper-converged cluster.

1. SkipFencingIfGlusterBricksUp
    Fencing will be skipped if bricks are running and can be reached from other peers.

2. SkipFencingIfGlusterQuorumNotMet
    Fencing will be skipped if  bricks are running  and shutting down the host will cause loss of quorum.

Comment 2 Sandro Bonazzola 2016-12-12 13:57:16 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 3 SATHEESARAN 2017-02-09 03:24:20 UTC
Tested with RHV 4.1 Beta1 ( Red Hat Virtualization Manager Version: 4.1.0.3-0.1.el7 )

There are 2 fencing policies added which can be seen under the 'Fencing Policies' tab while editing the cluster


Note You need to log in before you can comment on or make changes to this bug.